#include "getPacket.h"

/**
 * getPacket.h
 * desc: functions to read, write, and measure bin files. primarily for frame operations.
 * author: Brett Robertson
 * date: Feb, 2022
 *
 */

void storeData(unsigned char PacketData[], uint32_t datasize, const char* PATH){

    FILE * file;

    int index = 0;

    file = fopen(PATH, "rb");

    if(file == NULL){
    	printf("read error \n");
    	fclose(file);
    	return;
    }

       	  index = fread(PacketData, 1, datasize, file);  //1 for 1 byte at a time
          if (index == -1){
       	  printf("reads \n");
       	  }

    fclose(file);
return;
}

void writeData(unsigned char PacketData[], uint32_t datasize, const char* PATH){

	FILE * file;
	file = fopen(PATH, "wb");
    if(file == NULL){
    	printf("write error \n");
    	fclose(file);
    	return;
    }
    fwrite(PacketData, 1, datasize, file);
    if(file == NULL){
    	printf("write error \n");
    	fclose(file);
    	return;
    }
    fclose(file);
    return;
}

void appendData(unsigned char PacketData[], uint32_t datasize, const char* PATH){
	FILE * file;
		file = fopen(PATH, "ab");
	    if(file == NULL){
	    	printf("append error \n");
	    	fclose(file);
	    	return;
	    }
	    fwrite(PacketData, 1, datasize, file);
	    if(file == NULL){
	    	printf("append error 2 \n");
	    	fclose(file);
	    	return;
	    }
	    fclose(file);
	    return;
}



uint32_t sizeData(const char* PATH){

		FILE * file;

	   file = fopen(PATH, "rb");

	   uint32_t testlen;

	   fseek(file,0,SEEK_END);
	   testlen = ftell(file);
	   rewind(file);

	   fclose(file);

	   return(testlen);
}
