#include "stdio.h"
#include "stdlib.h"
#include "stdint.h"


typedef struct queue_t {
    int front, rear;
    uint32_t size, capacity;
    int* array;

}queue_t;

queue_t* queueInit(uint32_t capacity);

void enqueue(queue_t * queue, int data);

int dequeue(queue_t * queue);

uint8_t isQEmpty(queue_t * queue);

uint8_t isQFull(queue_t * queue);

char printQueue(queue_t * queue);
