#ifndef _SHELLCMD_H_
#define _SHELLCMD_H_

#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <sys/wait.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>

#define DEBUG_SHELLCMD 0

void executeCmd(char ** cmd, uint32_t cmdSize);
pid_t forkProc(void);
void waitProc(pid_t pid);
void execute(char **cmd, uint32_t cmdSize);
char * checkRedirect(char **cmd, uint32_t cmdSize);
void executeRedirect(char **cmd, uint32_t cmdSize, char *redirectLoc);


#endif
