/*
 * getPacket.h
 * description: header for .bin info operation functions
 * author: Brett Robertson
 * Created: Feb. 9,2020
 *
 */




#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>

#ifndef _GETPACKET_H_
#define _GETPACKET_H_

#define MEMCAT_STORE (const char*) "\imemcat-store.bin"
#define TEST_BIN (const char*) "\itester.bin"
#define MESSAGE_OUT (const char*) "\output-message.bin"
#define ERROR_LIST (const char*) "\ierrorlist.bin"

void        storeData(unsigned char PacketData[], uint32_t datasize, const char* PATH);
void        writeData(unsigned char PacketData[], uint32_t datasize, const char* PATH);
void        appendData(unsigned char PacketData[], uint32_t datasize, const char* PATH);
uint32_t    sizeData(const char* PATH);
#endif
